#include <stdio.h>
#include <string.h>

const long MAX_MESSAGE_BYTES_COUNT = 11000; //10000

typedef unsigned char u8 ;

inline u8 ReadHex(const char * const string)
{
	if(*string >= '0' && *string <= '9')return *string - '0';
	if(*string >= 'A' && *string <= 'F')return *string - 'A' + 10;
	fputs("Wrong character", stderr);
	return 0;
}

inline u8 ReadByte(const char * const string)
{
	return ReadHex(string) * 16 + ReadHex(string + 1);
}

inline void PrintHex(const u8 number)
{
	if(number < 10)putchar(number + '0');
	else putchar(number + 'A' - 10);
}

inline void PrintByte(const u8 number)
{
	PrintHex(number / 16);
	PrintHex(number % 16);
}

u8 encodedMessage[MAX_MESSAGE_BYTES_COUNT];
u8 encodedMessageWithSpace[MAX_MESSAGE_BYTES_COUNT + 1];
u8 key[MAX_MESSAGE_BYTES_COUNT + 1];
u8 decodedMessage[MAX_MESSAGE_BYTES_COUNT];

int main(void)
{
	freopen("decode.in", "r", stdin);
	freopen("decode.out", "w", stdout);

	char buffer[MAX_MESSAGE_BYTES_COUNT * 2 + 3];

	gets(buffer);
	long cBytes = strlen(buffer) / 2, iByte;
	for(iByte = 0; iByte < cBytes; ++iByte)
		encodedMessage[iByte] = ReadByte(buffer + (iByte << 1));
	gets(buffer);
	for(iByte = 0; iByte <= cBytes; ++iByte)
		encodedMessageWithSpace[iByte] = ReadByte(buffer + (iByte << 1));

	key[0] = encodedMessageWithSpace[0] ^ ' ';
	for(iByte = 0; iByte < cBytes; ++iByte)
	{
		decodedMessage[iByte] = encodedMessage[iByte] ^ key[iByte];
		key[iByte + 1] =
			encodedMessageWithSpace[iByte + 1] ^ decodedMessage[iByte];
	}

	for(iByte = 0; iByte <= cBytes; ++iByte)
		PrintByte(key[iByte]);

	fclose(stdout);
	fclose(stdin);

	return 0;
}